Page MenuHomePhabricator

fix schema MobileWebSectionUsage
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove previously stored session IDs
mediawiki/extensions/MobileFrontend : mastergetSessionId's value should only last for session duration

Event Timeline

kevinator assigned this task to JKatzWMF.
kevinator raised the priority of this task from to Needs Triage.
kevinator updated the task description. (Show Details)
kevinator added a project: Mobile.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 19 2015, 11:36 PM
kevinator set Security to None.
JKatzWMF reassigned this task from JKatzWMF to Jdlrobson.Nov 26 2015, 12:29 AM
JKatzWMF added subscribers: Jdlrobson, Jhernandez, JKatzWMF.

@Jdlrobson welcome back! I think this is something you should probably manage. @Jhernandez, I am going to throw this in sprint 62 tentatively, in case JR confirms it is an issue and we need to pull it ASAP

Change 255796 had a related patch set uploaded (by BryanDavis):
getSessionId's value should only last for session duration

https://gerrit.wikimedia.org/r/255796

Updated talk page. Also added notes to https://www.mediawiki.org/wiki/Reading/Web/EventLogging_best_practices to prevent this happening in future.

Jdlrobson updated the task description. (Show Details)Nov 30 2015, 8:15 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptDec 1 2015, 1:02 AM

Change 255796 merged by jenkins-bot:
getSessionId's value should only last for session duration

https://gerrit.wikimedia.org/r/255796

bd808 triaged this task as Normal priority.Dec 2 2015, 3:45 AM
bd808 moved this task from To Do to Done on the User-bd808 board.
phuedx updated the task description. (Show Details)Dec 7 2015, 10:28 AM

I've left a comment to the patch. I've also tested it on the beta cluster and as expected the localStorage sessionId is not being set and the cookie session ID expires once the user quits the browser.

Change 257296 had a related patch set uploaded (by Phuedx):
Remove previously stored session IDs

https://gerrit.wikimedia.org/r/257296

Change 257296 merged by jenkins-bot:
Remove previously stored session IDs

https://gerrit.wikimedia.org/r/257296

phuedx closed this task as Resolved.Dec 7 2015, 2:44 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Dec 10 2015, 5:08 PM